Attribute VB_Name = "Module1"
'The API
'Drawing graphics
Public Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
'halting execution
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
'Graphics constants
Public Const SRCAND = &H8800C6
Public Const SRCPAINT = &HEE0086
Public Const SRCCOPY = &HCC0020
Public Const BLACKNESS = &H42

'The directions of the ball are populated into this structure
Public Type BallDirection
    Left As Boolean
    Right As Boolean
    up As Boolean
    Down As Boolean
End Type

'All the information needed about the ball is populated into this structure
Public Type BallData
    X As Long 'X coordinate
    Y As Long 'Y coordinate
    W As Long 'Width
    H As Long 'height
    SpeedX As Long 'Horizontal speed
    SpeedY As Long 'vertical speed
    Direction As BallDirection 'Direction (see BallDirection structure)
    height As Long 'The height it is off the ground for bounce (Different from H)
    Hdc As Long 'Its Hdc, neccessary for drawing graphics
    GoingUpOrDown As Boolean 'The z axis of the ball
End Type

Public Type BatData
    X As Long 'X coordinate
    Y As Long 'Y coordinate
    W As Long 'Width
    H As Long 'height
    Speed As Long 'Bat Speed
    Hdc As Long 'Its Hdc, neccessary for drawing graphicS
End Type

Public Type PlayerData
    Name As String 'The players name
    Score As Long 'Score
    Points As Long 'And points
End Type

Public Type WhoVWho
    PvP As Boolean
    PvC As Boolean
    CvC As Boolean
End Type

Public Type Difficulty
    Easy As Boolean
    Medium As Boolean
    Hard As Boolean
    Hellish As Boolean
End Type

'Global Vars
Global Ball As BallData
Global Bat(1 To 2) As BatData
Global Player(1 To 2) As PlayerData
Global WhoVsWho As WhoVWho

'The customizable vars

Global Difficulty As Difficulty
Global Sound As Boolean
Global Music As Boolean


